package com.bcxin.ars.model;

public class UserRole extends BaseModel{

	/**  */
	private static final long serialVersionUID = 4219417799040736375L;

	private Long nativeCode;
	
	private Long userid;
	
	private Long roleid;
	
	private User user;

	private PoliceRole policeRole;
	
	private Role role;
	
	/** 角色类型 1 - role,2 - policerole **/
	private String roleType;
	
	public Long getNativeCode() {
		return nativeCode;
	}

	public void setNativeCode(Long nativeCode) {
		this.nativeCode = nativeCode;
	}

	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}

	public Long getUserid() {
		return userid;
	}

	public void setUserid(Long userid) {
		this.userid = userid;
	}

	public Long getRoleid() {
		return roleid;
	}

	public void setRoleid(Long roleid) {
		this.roleid = roleid;
	}

	public String getRoleType() {
		return roleType;
	}

	public void setRoleType(String roleType) {
		this.roleType = roleType;
	}

	public PoliceRole getPoliceRole() {
		return policeRole;
	}

	public void setPoliceRole(PoliceRole policeRole) {
		this.policeRole = policeRole;
	}

	public Role getRole() {
		return role;
	}

	public void setRole(Role role) {
		this.role = role;
	}

	
}
